/*
 * It is advised not to edit the smartadmin_production.css
 * as this will override any changes you make in the 
 * later versions of this theme. 
 * 
 * We advise that you use use this CSS to override 
 * SmartAdmin styles. 
 * 
 * Rename the stylesheet to whatever your liking so it will stay
 * unique to you with each update of SmartAdmin.
 */

/*
 * INDEX
 * 
 * - HTML
 * - BODY
 * - CUSTOM STYLES
 */
.modal-dialog{
        width: fit-content !important;
}
 .row-nc {
       background-color: #fdd ! important;
   }
   
.find_box {
		text-align: left;
		vertical-align: bottom;
	}
	 
	.table_opts {
		font-size: 1.1em;
		font-weight: bold;
		border: 2px;
		border-collapse: collapse;
	}
	
	.table_opts td {
		padding: 10px;
	}

	.table_detail {
		padding: 10px;
		width: 100%;
	}
	.table_detail th {
		padding-left: 10px;
		padding-right: 10px;
		text-align: center;
		/* font-size:  0.9rem !important; */
	}
	.table_detail td {
		padding-left: 10px;
		padding-right: 10px;
	}

	.btn_go_find {
		padding: 9px;
	}

	.values {
		text-align: right !important;
		padding-right: 5px;
		padding-left: 5px;
	}

   .sale_header th {
      background-color: #efefef;
   }
   .sale_detail th {
      background-color: #efefef;
   }
   .sale_detail td {
      padding-top: 2px;
      padding-bottom: 2px;
   }
   
   .cancel_sale {
       font-size: 1.5em;
   }
   
   
	.w1 { width: 20% !important; }
	.w2 { width: 20% !important; }
	.w3 { width: 20% !important; }
	.w4 { width: 20% !important; }
	.w5 { width: 40% !important; min-width: 280px;}

	
	.fa-eraser-btn {
		border: 2px;
      background-color: #DDD;       
		padding: 10px;
		border-radius: 4px;
	}
   
   
   .sale-cancelled { 
       color:red !important; 
       cursor: not-allowed;
   }
   .table-hover > tbody > tr:hover{
       cursor:pointer;
   }
   
   .break-word{
       white-space: normal;
   }
   .product-d-badge{
       float: left;
        width: 84%;
        padding-left: 5px;
   }
   .scroll-notas-credito{
       overflow: auto;
        max-height: calc(100vh - 360px);
   }


body {
  background-color: #bdc3c7;
}

  

/* flex */
.d-flex {
    display: -ms-flexbox!important;
    display: flex!important;
}
.flex-grow-1 {
    -ms-flex-positive: 1!important;
    flex-grow: 1!important;
}
/* flex */
.col-xs-1, .col-sm-1, .col-md-1, .col-lg-1, .col-xs-2, .col-sm-2, .col-md-2, .col-lg-2, .col-xs-3, .col-sm-3, .col-md-3, .col-lg-3, .col-xs-4, .col-sm-4, .col-md-4, .col-lg-4, .col-xs-5, .col-sm-5, .col-md-5, .col-lg-5, .col-xs-6, .col-sm-6, .col-md-6, .col-lg-6, .col-xs-7, .col-sm-7, .col-md-7, .col-lg-7, .col-xs-8, .col-sm-8, .col-md-8, .col-lg-8, .col-xs-9, .col-sm-9, .col-md-9, .col-lg-9, .col-xs-10, .col-sm-10, .col-md-10, .col-lg-10, .col-xs-11, .col-sm-11, .col-md-11, .col-lg-11, .col-xs-12, .col-sm-12, .col-md-12, .col-lg-12{
    min-height: 1px;
}
.m-0{ margin: 0;}
.pl-0{ padding-left: 0 !important;}
.pr-0{ padding-right: 0 !important;}
.mt-0{ margin-top: 0 !important;}
.mb-0{ margin-bottom: 0 !important;}
.ml-0{ margin-left: 0 !important;}
.mr-3{ margin-right: 3rem !important;}
.mt-4{ margin-top: 4rem !important;}
.mb-3{ margin-bottom: 3rem !Important;}
.mb-4{ margin-bottom: 4rem !important;}
.mb-5{ margin-bottom: 5rem !important;}
.mb-6{ margin-bottom: 6rem !important;}
.ml-1{ margin-left: 1rem !important;}
.mt-1{ margin-top: 1rem !important;}
.mt-3{ margin-top: 3rem}
.pb-1{ padding-bottom: 1rem;}
.ml-2{ margin-left: 2rem;}
.mr-1{ margin-right: 1rem !important;}
.mb-1{ margin-bottom: 1rem !important;}
.mb-2{ margin-bottom: 2rem !important;}
.mb-3{ margin-bottom: 3rem !important;}
.pb-3{ padding-bottom: 3rem;}
.pr-1{ padding-right: 1rem;}
.pa{ position: absolute;}
.t-0{ top: 0;}
.l-0{ left: 0;}
.r-0{ right: 0;}
.alert-absolute{
    max-width: 350px;
    position: relative;
    left: 50%;
    margin-left: -175px;
}
.k-vertical-align-bottom a{
   color: white !important;
}
.text-success{
	color: #0b6d66 !important;
}
.fa-spinner {
    -webkit-animation-name: spin;
    -webkit-animation-duration: 2000ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
    -moz-animation-name: spin;
    -moz-animation-duration: 2000ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;
    -ms-animation-name: spin;
    -ms-animation-duration: 2000ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;
    animation-name: spin;
    animation-duration: 2000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
@-ms-keyframes spin {
    from { -ms-transform: rotate(0deg); }
    to { -ms-transform: rotate(360deg); }
}
@-moz-keyframes spin {
    from { -moz-transform: rotate(0deg); }
    to { -moz-transform: rotate(360deg); }
}
@-webkit-keyframes spin {
    from { -webkit-transform: rotate(0deg); }
    to { -webkit-transform: rotate(360deg); }
}
@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}



.divcontainerreq .form-check-label {
	width: 100%;
}
.w-100{
	width: 100%;
}
.divtables{
	
	float: left;
	overflow: auto;
	max-width: 100%;
}
.filtro-reportes .input-group input{
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}
.filtro-reportes .input-group .input-group-addon{
    border-top-right-radius: 4px !important;
    border-bottom-right-radius: 4px !important;
}
.filtro-reportes .btn{
    margin-top: 5px;
    padding: 8px 12px !important;
}
.text-danger {
    color: #d9534e !important;
}
.filtro-reportes{
   width: inherit !important;
   background: #f5f3f0;
   border: solid 1px #dddddd;
   font-size: 15px;
}
.filtro-reportes div{
    font-weight: 700;
}
.filtro-reportes tbody > tr > td{
    border: 0;
    padding: 15px;
}

.w-100{
	width: 100%;
}
.w-90{
	width: 97%
}
.font-20{
	font-size: 20px;
}
.node-info { line-height: 1.2 !important; font-weight: bold !important; 
             padding-top: 9px; text-align: left; vertical-align: middle; white-space: nowrap; }
html {
	margin: 0;
	padding: 0;
	/*width: 99.5%;*/
	overflow-x: auto !important;
        background: #fff !important;
        background-color: #fff;
}
body { font-family: 'Lato', sans-serif !important; background: #fff;
        background-color: #fff; font-size: 14px !important; color:#333 !important;}


/*****************     HEADER    ***************/
.badge-estado .badge{
        font-size: 15px;
}
.l-h-n{
    line-height: normal;
}
.thumbnail{
    padding: 25px !important;
    background-color: transparent !important;
	 overflow: hidden;
}
.fa-1{font-size: 2em;}
.fa-2{font-size: 4em;}
.fa-3{font-size: 7em;}
.fa-4{font-size: 12em;}
.fa-5{font-size: 20em;}
.login-paygo .input-group-addon{ width: 40px;}
#header > div {
    display: inline-block;
    vertical-align: middle;
    float: left;
}
.d-i-blk{
    display: inline-block
}
.table > tbody > tr > th,
.table > tbody > tr > td{
    vertical-align: middle;
}
.table select,
.table input[type="text"]{
    width: 100%;
}
.mb-form select,
.mb-form input[type="text"]{
    margin-bottom: 5px;
}
.pull-right { line-height: 1.1; text-align: right; vertical-align: middle; }
.header-info { color: #fff; margin-top: 2px;     display: block; text-align: left; font-weight: bold; }
#logo-group { width: 170px; vertical-align: middle; white-space: nowrap;}
#logo { width: 180px;
        margin-top: 0px;
        overflow: hidden;
        height: 50px !important;
        margin-top: -7px;
 }

 .icono-alert{
   font-size: 25px;
   line-height: 43px;
   margin-right: 10px;
 }

 .bootstrapWizard li.active .step, .bootstrapWizard li.active.complete .step{
     background-color: #0b6d66 !important;
     border-color: #0b6d66 !important;
     
 }

 .active-2 .title{
	 color : #333 !important;
	 font-weight: bold;
 }
 
 
 a:hover.thumbnail{ text-decoration: none !important; color:#3097D1 !important;}
 .form-bootstrapWizard{height: 120px;width: 100%}
 .bootstrapWizard li.active .title, .bootstrapWizard li.complete .title{ font-weight: bold;color: #bfbfbf!important;}
 .bootstrapWizard li.active-2 .step, .bootstrapWizard li.active-2.complete .step{
	 border-color: #0b6d66 !important;
    border-width: 5px;
    background-color: #0b6d66!important;
    color: #0b6d66
 }
 .bootstrapWizard li .step{padding: 2px 2px !important;border-color: #eee !important;background: #fff !important;}
 .bootstrapWizard li .step i{
     font-size: 18px !important;
     top:0 !important;
 }
 .bootstrapWizard li.active:first-child:before{
     background: #0b6d66;
 }
 
 .bootstrapWizard li.active-2:first-child:before{
     background: #eee !important; /* Old browsers */
     background-image: none
 }
 .bootstrapWizard li.active:before{
     background: #0b6d66; /* Old browsers */
     background-image: none;
 }
 .bootstrapWizard li.active-2:before{
/* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#7abcff+49,c43537+49 */
background: #0b6d66; /* Old browsers */
background: -moz-linear-gradient(left, #0b6d66 49%, #eeeeee 49%); /* FF3.6-15 */
background: -webkit-linear-gradient(left, #0b6d66 49%,#eeeeee 49%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to right, #0b6d66 49%,#eeeeee 49%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#0b6d66', endColorstr='#eeeeee',GradientType=1 ); /* IE6-9 */
 }
 .check-sm{
     width: 17px;
     height: 17px;
 }
 .bootstrapWizard li{width: 14.2% !important;margin-top: 8px;}

 .bootstrapWizard li:before{border-color: #eee !important;}


 .bootstrapWizard li:before{border: none !important; height: 3px; background: #eeeeee}

 .label-admin{
     font-weight: bold;
    background: yellow;
    /* height: 20px; */
    padding: 0 18px;
    /* margin-top: 14px; */
    /* margin-right: 35px; */
    color: #000;
    line-height: 49px;
    float: right;
    margin-left: 20px;
 }
 .imageuploadify{padding-top: 40px !important;}
 .imageuploadify .imageuploadify-images-list .imageuploadify-container{
     width: 200px !important;
     margin: auto !important;
    float: inherit!important;
 }
 .imageuploadify .imageuploadify-images-list i{
     display: none !important;
 }
 .imageuploadify-container{
     color: #ebebeb !important;
         background: #f5f3f0;
 }
 .imageuploadify-container .btn:active{
     left: inherit !important;
 }
 .imageuploadify-details{
     opacity: 1 !important;
         padding: 5px;
 }
 .imageuploadify-details span{
     white-space: initial !important;
     color: #333 !important;
 }
 .form-crear .form-check{
     margin-bottom: 12px;
    margin-top: -5px;
 }
 .form-crear input[type="text"],
 .form-crear select{
     width: 180px;
 }
 
 .form-crear label{ padding-right: 0;}

 #divcashiers label,
 #divnodes label{width: 25%;}
 .header-info .arrow-d:before{
    content: "\f0dd";
    font-family: FontAwesome;
    margin-left: 5px;
    margin-top: -5px;
    font-size: 12px;
    vertical-align: middle
 }
#logo img {
/*    width: 125px;
    height: auto;
    padding-left: 3px;*/
	 width: 136px;
    height: auto;
    margin-top: 5px;
    padding-left: 12px;
    padding-top: 0px;
}
.btn{
    text-transform: uppercase;
}
#logo a{
     color: #fff !important;
}


#entity, #register {
    color: #fff;
    font-size: 1.9em;
    padding-right: 10px;
}
#user_profile {
    color: #fff;
    padding-right: 10px;
    margin-top: 3px;
}
#user_profile .fa-user,
#user_profile .fa-question-circle{
    font-size: 2.2em;
    margin-top: 3px;
}

header .fa-question-circle,
header .fa-user { color: #fff !important ; }
.header .fa-question-circle:hover,
header .fa-user:hover {  }
.body_back{ background: transparent !important;}
#header{ font-size: 14px; padding: 0;}
.reporte-movimiento .k-auto-scrollable{
        max-height: calc(100vh - 350px);
}

.reporte-movimiento-unico  .k-auto-scrollable{
    max-height: calc(100vh - 315px);
}
.estado-caja .k-auto-scrollable{
        max-height: calc(100vh - 270px);
}
.btn-warning,
.btn-primary,
.btn-success{
    color: #fff;
    background-color: #0b6d66 !important;
    border-color: #0b6d66 !important;
}
.btn-danger {
    color: #fff;
    background-color: #d9534f !important;
    border-color: #d43f3a !important;
}
.entity-name       { color: white; }
.asoc-entity-name  { color: silver; font-size: .8em; font-style: italic;}
.register-info { 
    font-weight: bold;
    padding-top: 8px;
    padding-left: 30px;
    vertical-align: middle;
    white-space: nowrap;
    line-height: initial;
    text-align: left;
}
.table>thead>tr>th{    border-bottom: 1px solid #ddd !important;}
.inbox-badge{ font-size: 12px !important;}
.badge {

    vertical-align: text-bottom !important;
    
}
.custom-switch .custom-switch-input+.custom-switch-btn{
    background-color: #cecece !important;
}
.badge-danger {
    background-color: #d9534f;
}
.bg-gray-light{
    background-color: #f5f3f0;
}
.line-h-normal{
    line-height: normal;
}
.pr-15px{
    padding-right: 15px !important;
}
.p-0{
    padding: 0 !important;
}
.group-hour div{
    width: 22.2% !important;
}
.bg-success,
.badge-success {
    background-color: #0b6d66 !important;
}
.register-info .caja{
    margin-bottom: -8px;
}
.register-info .estado{
    line-height: 33px;
}
.cashier_style_NO_DEFINED   { color: red;   white-space: nowrap; }
.cashier_style_OK { color: #222; white-space: nowrap; }
.TEST_cashier_style_NO_DEFINED   { color: #FAA;   white-space: nowrap; }
.TEST_cashier_style_OK { color: #DDD; white-space: nowrap; }

.remove-transform-text{
    text-transform: none !important;
}

/*********************    NAV STYLE     *********************/
#left-panel { 
    background:#006d67; 
    color: #222;    
    text-align: left;
    position:fixed;
    height: 100vh;
    overflow-y: auto;
}

#left-panel::-webkit-scrollbar {
    width: 3px;
    position: absolute;
}

#left-panel::-webkit-scrollbar-thumb {
    background: #bfbfbfbd;
    border-radius: 10px;
}

.menu-item-parent { color: rgba(255, 255, 255, .7);; }
nav { color: #000; text-decoration: none; }
nav ul { color: #000; text-decoration: none; }
nav ul li a:hover { color: #fff; text-decoration: none; background-color: rgba(0, 0, 0, .1)!important; }
nav ul li.open {
    color: #fff !important;
    background: rgba(0,0,0,.1);
}
.acordeon-paygo{
    width: 80%;
    min-width: 560px;
    max-width: 75%;
    margin: auto;
    border: solid 1px #ddd;
}
.encabezado-bloque{
        margin: auto;
    display: block;
    min-width: 530px;
    max-width: 70%;
    border-bottom: solid 1px #ddd;
    font-size: 20px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 1rem;
    padding: 20px;

}
nav ul li a:focus,
nav ul li a:active{
    color:#fff !important;
    
}
#header{
    background-color: #221f34 !important;
    background-image: none !important;
    position: fixed;
    width: 100%;
    top: 0;
}
nav ul li a:active{
    background-color: rgba(0, 0, 0, .3) !important;;
}

nav>ul>li:hover>ul::before, nav>ul>li:hover>ul>li::before,
nav>ul>li>ul::before,
nav>ul ul li::before{
    border-color:  rgba(255, 255, 255, .3) !important;
}
nav ul ul li>a:hover{background-color: rgba(0,0,0,.1)!important;} 
nav ul b{font-size: 9px;top: 11px !important; color: rgb(181, 208, 206) !important;}

nav ul li.active>a:before{ display: none;}
nav ul li a { color: rgb(181, 208, 206) }
nav ul ul{ background-color: transparent; padding: 0;}
nav ul .active > a {
    background-color: rgba(0, 0, 0, .2);
    color: rgba(255, 255, 255, .7) !important;
    position: relative;
}
nav ul li a:focus {
	color:#494646
}


nav ul ul ul li a {
	color:rgb(181, 208, 206);
	padding:8px 10px 8px 60px;
	font-size:14px
}







#ribbon {
   background: #f5f5f5;
   padding-left: 0px;
}

#ribbon .breadcrumb, #ribbon .breadcrumb a {
    color: #97918c !important;
    text-decoration:none!Important;
    font-size: 1.3em;
    font-weight: bold;
}

.breadcrumb > li{ padding-left: 10px;}


h2 {
    letter-spacing: -1px;
    font-size: 30px;
    margin: 20px 0;
    line-height: 1.1;
    /* line-height: normal; */
}



#ribbon .breadcrumb li:last-child, #ribbon .breadcrumb > .active {
	color: #97918c;
}
.breadcrumb { color: #030; font-size: 1.2em; }



#miNav { background: #555; }
label{ font-weight: initial !important;}
.col-form-label {
    padding-top: calc(1rem - 1px * 2);
    padding-bottom: calc(1rem - 1px * 2);
    margin-bottom: 0;
}

.login-info-pg     { background: #CCC; vertical-align: middle; height: 50px; padding: 5px 5px 10px 5px; }
.user-name         { background: #CCC; vertical-align: middle; color: #111; }


input, select, textarea {border: 1px solid rgba(0,0,0,.15);border-radius: 4px;font-weight: normal; padding: .8rem .75rem;     background-color: #fff; background-image: none; line-height: 1.4; color:#333;}
.botones-descarga-archivos{
    width: 600px;
    position: absolute;
    text-align: right;
    right: 2rem;
    margin-top: 15px;
    margin-bottom: 15px;
} 
    
/*.big-table caption { font-size: 1.5em; font-weight: bold; white-space: nowrap; background-color: #c4d97c; 
                     color: #222; padding-left: 30px; padding-right: 30px; text-align: center; }
.big-table th   { font-size: 1.3em; font-weight: bold; white-space: nowrap; color: #333; text-align: center; }
.big-table tr   { font-size: 1.1em; font-weight: bold; white-space: nowrap; color: #555; width: 100%;}
.big-table td   { vertical-align: middle;}
.big-select { font-size: 1.1em; white-space: nowrap; padding-left: 10px; padding-right: 10px;}*/



.cash_btn { background: #1f496d; color: silver; padding: 10px 30px 10px 30px; }
.icono-con-input{
    background-color: #eceeef;
    border: 1px solid rgba(0,0,0,.15);
    padding: .8rem 1rem;
    line-height: 1.25;
    float: left;
    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
    border-right: 0;
}
.ciudad select{ width: 100% !important;}
.t_info th { text-align: center }
/*.t_info tbody>tr>td:nth-child(1) { vertical-align: top !important;}*/
.table-add{ width: 100%;}
.table-add td{
    padding: 8px;
    white-space: initial!important;
}

.table-add textarea,
.table-add select, .table-add input[type="text"], .table-add input[type="number"], .table-add input[type="password"] {
    width: 428px;
}
.rowlabel_desktop{
    width: 30%;
    text-align: right;
}

.subdocument-label {
    width: 80%;
}

.right50   { text-align: right; width: 50%; }
.center50  { text-align: center; }
.caption-2{
    display: block;
    width: 100%;
    background: #f5f3f0;
    padding: 10px;
}

.reporte-r-m{
    max-height: calc(100vh - 300px);
    overflow: auto;
}


.badge-warning{
   background-color: orange;
}
.no-border-p-tr tr:first-child td{ border: 0 !important;}
.b-0{ border: 0 !important;}
.m-0{ margin: 0 !important;}
.mt-mb-05{
    margin-bottom: .5rem;
    margin-top: .5rem;
}
body.modal-open{
    padding-right: 0 !important;
}
button.close{
    z-index: 3;
    position: relative;
}
.modal-dialog{
    top: 32%;
}
.mt-2_5{
    margin-top: 2.5rem;
}
.mb-05{
    margin-bottom: 0.5rem;
}
.mt-2{
   margin-top: 2rem;
}
.custom-switch .custom-switch-input:checked+.custom-switch-btn{
    background-color: #0b6d66 !important;
}
.custom-switch .custom-switch-input.always-on+.custom-switch-btn{
    background-color: #0b6d66 !important;
    width: 50px !important;
}
.custom-switch .custom-switch-input.always-on:checked+.custom-switch-btn:after{
    left: 26px !important;
}
.edit-sec-mov #divnodes{
    margin-left: 23%;
}
.edit-sec-mov #divnodes .col-sm-7{ width: 75%;}
.tipos-movimiento{
    height: calc(100vh - 80px) !important;
}
.edit-mov-type .custom-switch-btn{
        margin-top: -3px !important;
    margin-bottom: 7px !important;
}

.custom-switch-label-yesno .custom-switch-btn{
    width: 50px !important;
    margin-top: -2px !important;
}
.custom-switch-label-yesno .custom-switch-input:checked+.custom-switch-btn:after{
    left: 26px !important;
}
.custom-switch .custom-switch-input:disabled+.custom-switch-btn{
    opacity: 0.5;
}
.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus{
    background-color: transparent;
}
.pl-2{
    padding-left: 2em;
}
.pr-2{
    padding-right: 2em;
}
#descProd b,
#descCliGr b{
    display: block;
    color: #9e9e9e;
}
#fullCalendar{
    margin-top: -30px;
    z-index: 0;
}
.modal .modal-dialog{
    top: 5% !important;
}
.fc-past .fc-day-number{
   color: #c5c5c5; 
}
.fc-unthemed td.fc-today {
    background: #ebfbeb;
}
td[style="background-color: rgb(235, 251, 235);"] div span{
    background-color: #01d000 !important;
}
td[style="background-color: rgb(235, 251, 235);"] i{
   font-size: 14px;
   color: #01a500;
}
td[style="background-color: rgb(235, 251, 235);"] b{
    font-size: 12px;
    color: #01a500;
}
td[style="background-color: rgb(223, 243, 254);"] div span{
    background-color: #337ab7 !important;
}
td[style="background-color: rgb(223, 243, 254);"] b{
    font-size: 12px;
    color: #2b6ea9;
}
td[style="background-color: rgb(223, 243, 254);"] i{
   font-size: 14px;
    color: #2b6ea9
}
td[style="background-color: rgb(129, 190, 247);"] b{
    font-size: 12px;
    color: #333;   
}
td[style="background-color: rgb(129, 190, 247);"] div span{
    background-color: #333; 
}
.c-azul i{
    color: rgb(51, 122, 183) ;
    margin-right: 5px;
}
.c-amarillo i{
    color: rgb(255, 191, 0) ;
    margin-right: 5px;
}
.c-verde i{
    color: rgb(1, 208, 0) ;
    margin-right: 5px;
}
.c-rojo i{
    color: #9a3535 !important;
    margin-right: 5px;
}
.ui-autocomplete{
    text-align: left;
}
#clearClient{
    background-color: #337ab7;
    color: #fff;
    border: 0;
    border-radius: 4px;
}
.ui-autocomplete li a{
    width: 100%!important;
    display: block;
    padding-left: 5px;
    padding-right: 5px;
}
td[style="background-color: rgb(129, 190, 247);"]{
    background-color: #fbfbfa !important;
    -webkit-box-shadow: inset 0px 0px 5px 2px rgba(0,0,0,0.10);
    -moz-box-shadow: inset 0px 0px 5px 2px rgba(0,0,0,0.10);
    box-shadow: inset 0px 0px 5px 2px rgba(0,0,0,0.10);
}
.elimConf{
   background-color: transparent !important;
       margin-bottom: 5px;
    margin-left: 5px;
    position: absolute!important;
    bottom: 0;
}
td[style="background-color: rgb(247, 211, 88);"]{
   background-color: #fee6e6 !important;
}
td[style="background-color: rgb(247, 211, 88);"] i{
   color: #9a3535;
    font-size: 14px;
}
td[style="background-color: rgb(247, 211, 88);"] div span{
   background-color: #9a3535 !important;
}
td[style="background-color: rgb(247, 211, 88);"] b{
   color: #9a3535;
    font-size: 12px;
}
td[style="background-color: rgb(255, 245, 216);"] div span{
    background-color: #ffbf00 !important;
}
td[style="background-color: rgb(255, 245, 216);"] i{
   color: #c59300;
   font-size: 14px;
}
td div b{
    margin-left:5px;
}
td[style="background-color: rgb(255, 245, 216);"] b{
    font-size: 12px;
    color: #c59300;
}
.fc-unthemed td.fc-today span{
    color: #006d66;
}
.fc-unthemed .fc-disabled-day{
    background: #f1f1ef !important;
    opacity: 1;
}
.btn-calendario-consumo-programado{
    z-index: 1;
}
.inventario-catalogo .k-grid-content.k-auto-scrollable{height: calc(100vh - 350px);}
.t_container { border: 0px solid #CCF; border-spacing: 0px; width: 100%; max-width: 100%; }
.t_container caption {  background-color: #f5f3f0;  padding: 10px; white-space: nowrap; color:#333;}

/*.t_data { padding: 5px; background-color: #47A; color: #FFF; padding: 10px; color: #FFF; }
.t_data caption { font-size: 1.3em; background-color: #c4d97c; color: #FFF; padding: 10px;  white-space: nowrap}
.t_data th   { background-color: #DDD; padding: 8px; background-color: #DDD; color: #333; white-space: nowrap}
.t_data tr:nth-child(even) { background: #EFEFEF; }
.t_data tr:nth-child(odd)   { background: #DFDFDF; }
.t_data td { padding: 8px; color: #444; }*/
table  tr  td, table  tr  th{    white-space: nowrap !important;}
.table-2 tr th{ font-size: inherit;}
.table-striped{border: solid 1px #ddd;}
/*#TableList { border-left: none;  border-right: none; background-color: #efefef; }
#TableList th { background-color: #777777;     white-space: nowrap;vertical-align: bottom; padding: 10px;  }
#TableList td { padding: 3px 5px 3px 5px;     border-bottom: solid 1px rgba(255,255,255,0.3);}*/
.table-striped-2.table-striped tbody tr:nth-child(1){
    background-color: #fff !important;
    border-bottom: initial !important;
}

.table-striped > tbody > tr:nth-of-type(odd) {
    background-color: #f9f8f6;
}
.table-striped-tr-n tbody:nth-child(2) tr:first-child{
    background-color: #f9f8f6 !important;
}
.table-striped tbody tr:nth-child(1){
    background-color: #f1eeea !important;
    /* color: #0b6d66 !important; */
    border-top: 0;
    text-transform: uppercase;
}
.table-striped-2 tr,
.table-striped-2 tr{
    background-color: #f9f9f9;
}
.table-striped-3 tr:nth-of-type(odd) {
    background-color: #fff;
    background-image: none;
}
.table-striped-2 tr:nth-of-type(odd) {
    background-color: #fff !important;
    background-image: none;
}
.table-striped-3 thead tr:nth-child(2){
    background-color: #f5f3f0;
    /* color: #0b6d66 !important; */
    background-image: none;
    
    border-top: 0;
    text-transform: uppercase;
}
.table-striped-2 thead tr:nth-child(2){
    background-color: #f5f3f0 !important;
    /* color: #0b6d66 !important; */
    background-image: none;
    
    border-top: 0;
    text-transform: uppercase;
}

.fc-border-separate thead tr, .table thead tr{font-size: 14px !important;}
.table>thead>tr>th,
.table>tbody>tr>td,
.table>tbody>tr>th{line-height: 1.42857143 !important;}
.table-striped tr:nth-child(1) th{border-top: 0;font-weight: bold!important;}
/*.crud-opts{margin-bottom: 15px;margin-top: -10px; position: absolute; background-color: #fff; z-index: 5; width: calc(100% - 55px);}*/
.ColName:visited,
.ColName:link { 
    color: #333 !important;
    
}

#CRUDListHeader th { background-color: #8aa52d; color: #DDD; font-size: 1.4em; padding: 8px 100px 8px 100px; }
#TableList.table{
    
    margin-bottom: 0;
}
table{ margin-bottom: 0 !important;}
.crud_opts {
    color:#333;
  }
  
.crud-opts table { width: 100%; }
.crud-opts tr { vertical-align: middle; padding: 7px; }

.t_select caption { font-size: 1.3em; text-align: center; background: #47A;  white-space: nowrap; 
                 padding-top: 2px; padding-bottom: 2px; padding-left: 50px; padding-right: 50px; color: #EEE; }
.t_select th {  }

.t_select td { padding: 5px; font-size: 1.1em; vertical-align: text-top; text-align: left }
.t_select tr:hover { background-color:rgba(0, 0, 255, 0.1); cursor: pointer; }



.table_transactions caption { font-size: 1.3em; text-align: center; background: #47A;  white-space: nowrap; 
                 padding-top: 2px; padding-bottom: 2px; padding-left: 50px; padding-right: 50px; color: #EEE; }
.table_transactions th { font-size: 1.2em; text-align: center; background: #DDD; padding-top: 2px; padding-bottom: 2px; color: #777; }
.table_transactions td { padding: 5px; font-size: 1.1em; vertical-align: text-top; text-align: left }

.pt-35{padding-top: 35px !important;}
.t_reports th { background: #444; color: silver; font-size: 1.2em; }
.crud-opts{ margin: 20px 0px !important;}
/* CRUD SPECIAL ACTIONS */
.special_opts select { width: auto; }
/*.special_opts table { width: 60%; padding: 20px; }
.special_opts th { background-color: #444; color: #EEE; padding-left: 10px; }
.special_opts td { vertical-align: bottom; padding-left: 15px; }*/


.datepicker {
    display:block;
    z-index: 3 !important;
    
}
.ui-datepicker{
   z-index: 3 !important;
}
.a_item {
    background: yellow;
}
.id_client{
    text-align: right;
}
.label-right{
    text-align: right;
}
.form-control, .input-lg, .input-sm, .input-xs{
    border-radius: 4px!important;
    -webkit-border-radius: 4px!important;
    -moz-border-radius: 4px!important;
}
.title-principal,
.id_client th,
.t_info caption,
.paygo-table-1 caption { 
    font-size: 1.8em;
    font-weight: bold;
    white-space: nowrap;
    text-align: center;
    color: #333;
    padding: 20px;
    margin-bottom: 30px;
    border-bottom: solid 1px #cecece;
    
}
.paygo-table-1 th { font-weight: normal !important;}
/*.paygo-table-1 th   { font-size: 1.3em; font-weight: bold; white-space: nowrap; color: #333; text-align: center; }*/
.paygo-table-1 tr   { white-space: nowrap; width: 100%;}
.paygo-table-1 {text-align: right; white-space: nowrap; padding-left: 10px; padding-right: 10px;}
.input-transparent{ padding: 0 !important; border: 0 !important; background-color: transparent !important;}

.paygo-table-1 select,
.paygo-table-1 input{
    width: 95%;
    margin-bottom: 5px;
    margin-left: 5%;
}
.overflow-hidden{
    overflow: hidden;
}
.mt-3px{
        margin-top: 3px;
}
.overflow{
    overflow: auto;
    width: 100%;
    margin-right: -2000px;
    max-height: 450px;
}

#LIST_LIST_FORM form #LIST_FORM{
    overflow: auto;
    max-height: calc(100vh - 200px);
}

#main {
    margin-left: 220px;
    padding: 0;
    min-height: 500px;
    position: relative;
    background: white;
    margin-top: 49px;
}
.main-body {
    padding: 10px;
}
input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px #fff inset !important;
    -webkit-text-fill-color: #333 !important;
}
input:-moz-autofill {
    -moz-box-shadow: 0 0 0px 1000px #fff inset !important;
    -moz-text-fill-color: #333 !important;
}

.paygo-table-2 input {
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    text-transform: none;
    display: block;
    width: 100%;
    height: 30px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    margin: 9px;
}


.paygo-table-2  select {
    text-transform: none;
    display: block;
    width: 100%;
    height: 30px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    margin: 9px;
}




.paygo-table-2 caption { font-size: 1.5em;    font-weight: bold;    white-space: nowrap;  background-color: #94c81f;    border-radius: 8px;      text-align: center;     padding-top: 8px;
                         padding-bottom: 8px;  color: #f8f0f0;    margin: 39px;  padding-left: 12px;   padding-right: 12px;}





.t_info1 caption {
    font-size: 1.5em;
    text-align: center;
    background-color: #88ad0d;
    white-space: nowrap;
    padding-top: 2px;
    padding-bottom: 2px;
    padding-left: 50px;
    padding-right: 50px;
    color: #f8f4f4;
}

.t_info1 input {
    font-size: 1.2em;
    padding-left: 5px;
    background-color: blue;
    color: #f7fbfb;
    border-radius: 8px;
    padding: 4px;
}



.items_table th {
    font-size: 1.2em;
    text-align: center;
    background: #CCC;
}
.form-check-asignacion-consumo .form-check-label{
    max-width: 90%;
    margin-bottom: 10px;
    float: left;
    margin-left: 5px;
}
.checobox {
   transform: scale(1.3); 
   -webkit-transform: scale(1.3); 
   padding:5px; 
   font-size:1.3em; 
   width: 32px      
}
.table-scroll{
    max-height: 400px;
    overflow-y: auto;
    max-width: 790px;
}
.overflow-scroll{
    overflow: auto;
}
#scrollTopBtn {
  
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  border: none;
  outline: none;
  background-color: #0b6d66 !important;
  color: white;
  cursor: pointer;
  padding: 15px;
  border-radius: 10px;
}
.k-vertical-align-center a[href="http://#!"]:before,
.k-vertical-align-center a[href="http://#"]:before{
    background-color: #006d67 !important;
}

#scrollTopBtn:hover {
  background-color: #555;
}
.k-primary.k-state-hover, .k-primary:hover,
.k-primary,
.k-draghandle.k-state-selected:hover, .k-ghost-splitbar-horizontal, .k-ghost-splitbar-vertical, .k-list>.k-state-highlight, .k-list>.k-state-selected, .k-marquee-color, .k-panel>.k-state-selected, .k-scheduler .k-scheduler-toolbar .k-state-selected, .k-scheduler .k-today.k-state-selected, .k-state-selected, .k-state-selected:link, .k-state-selected:visited, .k-tool.k-state-selected{
    background-color: #006d67;
    border-color: #006d67;
    background-image: none;
}

.lables .accordion-toggle:after {
    /* symbol for "opening" panels */
    font-family: 'Glyphicons Halflings';  /* essential for enabling glyphicon */
    content: "\e114";    /* adjust as needed, taken from bootstrap.css */
    float: right;        /* adjust as needed */
    color: grey;         /* adjust as needed */
}
.lables .accordion-toggle.collapsed:after {
    /* symbol for "collapsed" panels */
    content: "\e080";    /* adjust as needed, taken from bootstrap.css */
}
.po-r{
   position: relative !important;
}
.po-int{
   position: inherit !important;
}
#loader-page {
    POSITION: absolute;
    BACKGROUND: rgba(255,255,255,0.8);
    WIDTH: 100%;
    HEIGHT: 100%;
    TOP: 0;
    Z-INDEX: 999;
}
.loader {
    top: 50% !important;
    position: absolute;
    transform: translateY(-50%) translateX(-50%);
    -webkit-transform: translateY(-50%) translateX(-50%);
    left: 50%;
    display: block;
    z-index: 1;
    width: 100px;
    height: 100px;
    margin: -75px 0 0 -75px;
    border: 5px solid #f3f3f3;
    border-radius: 50%;
    border-top: 5px solid #305d8c;
    border-bottom: 5px solid #305d8c;
    width: 40px;
    height: 40px;
    -moz-animation: spinPulse 2s infinite ease-in-out;
    -webkit-animation: spinPulse 2s infinite linear;
}

.text-loader {
    position: inherit;
    transform: translateY(-50%) translateX(-50%);
    top: 50%;
    left: 50%;
    margin: -15px -50px;
}
@-moz-keyframes spinPulse {
          0% {
              -moz-transform: rotate(160deg);
              opacity: 0;
              box-shadow: 0 0 1px #2187e7;
          }

          50% {
              -moz-transform: rotate(145deg);
              opacity: 1;
          }

          100% {
              -moz-transform: rotate(-320deg);
              opacity: 0;
          }
      }

      @-moz-keyframes spinoffPulse {
          0% {
              -moz-transform: rotate(0deg);
          }

          100% {
              -moz-transform: rotate(360deg);
          }
      }

      @-webkit-keyframes spinPulse {
          0% {
              -webkit-transform: rotate(160deg);
              opacity: 0;
              box-shadow: 0 0 1px #2187e7;
          }

          50% {
              -webkit-transform: rotate(145deg);
              opacity: 1;
          }

          100% {
              -webkit-transform: rotate(-320deg);
              opacity: 0;
          }
      }

      @-webkit-keyframes spinoffPulse {
          0% {
              -webkit-transform: rotate(0deg);
          }

          100% {
              -webkit-transform: rotate(360deg);
          }
      }
      
      .pl-1{
         padding-left: 1rem;
      }
      .border-l-color-1{
         border-left: solid 3px #b6d91c;
      }
      .border-l-color-2{
         border-left: solid 3px #de74c6;
      }
      .border-l-color-3{
         border-left: solid 3px #96a5f5
      }
      .border-l-color-4{
         border-left: solid 3px orange;
      }
      .border-l-color-5{
         border-left: solid 3px #0b6d66
      }
      .border-l-color-6{
         border-left: solid 3px #5bc0de
      }
      .border-l-color-7{
         border-left: solid 3px #d9534f;
      }
      
      
      
    #registro {
        max-height: calc(80vh);
        overflow: auto;
    }

.subir-imagen input{
    border: 0;
    font-size: 12px;
}
.subir-imagen input button{
    background: red;
}

/* carousel */
.media-carousel 
{
  margin-bottom: 0;
  padding: 0 40px 0 40px;

}
.media-carousel .thumbnail{
    margin-bottom: 10px;
    padding: 3px!important;
}
/* Previous button  */
.media-carousel .carousel-control.left 
{
  left: -5px;
  background-image: none;
  background: none repeat scroll 0 0 #222222;
  border: 4px solid #FFFFFF;
  border-radius: 23px 23px 23px 23px;
  height: 40px;
  width : 40px;
  margin-top: 35px
}
/* Next button  */
.media-carousel .carousel-control.right 
{
  right: -5px !important;
  background-image: none;
  background: none repeat scroll 0 0 #222222;
  border: 4px solid #FFFFFF;
  border-radius: 23px 23px 23px 23px;
  height: 40px;
  width : 40px;
  margin-top: 35px
}
/* Changes the position of the indicators */
.media-carousel .carousel-indicators 
{
  right: 50%;
  top: auto;
  bottom: 0px;
  margin-right: -19px;
}
/* Changes the colour of the indicators */
.media-carousel .carousel-indicators li 
{
  background: #c0c0c0;
}
.media-carousel .carousel-indicators .active 
{
  background: #333333;
}

/* End carousel */

/* estructura preorden de menu */

.menu-preorden .subcategoria-menu,
.menu-preorden .categoria-menu{
    color: #333;
    border: solid 1px #ddd;
    overflow: hidden;
}
.menu-preorden .producto,
.menu-preorden .subcategoria-menu{
    margin: 15px;
}

.w-100{
    width: 100%;
}
.menu-preorden .head-conte{
    background-color: #f5f3f0;
    border-bottom: solid 1px #dddddd;
    padding: 8px 15px;
}
.cerrar-collapse-cerrado,
.cerrar-collapse-abierto{
    width: 20px;
    height: 20px;
    text-align: center;
    margin-top: 8px;
    color: #c6c4c2;
    margin-right: 1rem;
}
.cerrar-collapse-cerrado .fa-chevron-up{
    display: none;
}
.cerrar-collapse-abierto i{
    display: block;
}
.cerrar-collapse-cerrado i span,
.cerrar-collapse-abierto i span{
    font-family: Lato;
    font-size: 11px;
}
.btn-eliminar{
    margin-top: 6px;
    margin-left: 10px;
    float: right;
    color: #333;
    font-size: 16px
}
.btn-eliminar:hover{
    color: #333;
}
.cerrar-collapse-cerrado:hover,
.cerrar-collapse-cerrado:focus,
.cerrar-collapse-abierto:hover,
.cerrar-collapse-abierto:focus{
    text-decoration: none;
    color: #c6c4c2;
}

select{
    height: 41px;
}

/* REVISAR LEON */
.cerrar-collapse-cerrado[aria-expanded="true"] .fa-chevron-down,
.cerrar-collapse-abierto[aria-expanded="false"] .fa-chevron-up,
.cerrar-collapse-abierto .fa-chevron-down{
    display: none;
}


.cerrar-collapse-cerrado[aria-expanded="true"] .fa-chevron-up,
.cerrar-collapse-abierto[aria-expanded="false"] .fa-chevron-down{
    display: block;
}
.m-15{
    margin: 15px;
}
.mb-15{
    margin-bottom: 15px;
}
.mr-15{
    margin-right: 15px;

}

.main-body {
    padding: 6px;
}

.button-dropdown {
    border: none;
    background: none;
    display: block;
}

.button-dropdown:hover {
    font-weight: bold;
}